Zoho crm Logo

要从一个区域中检索用户详细信息,可以使用以下示例代码:

目的

要检索添加到您 Zoho CRM 组织中的区域的用户详细信息。

端点

  • GET /settings/territories/{territory_ID}/users
  • GET /settings/territories/{territory_ID}/users/{user_ID}

请求详情

请求URL

检索所有用户的详细信息 
{api-domain}{api-domain}/crm/{version}/settings/territories/{territory_ID}/users

检索特定用户的详细信息:
{api-domain}{api-domain}/crm/{version}/settings/territories/{territory_ID}/users/{user_ID}

标题

授权: Zoho-oauthtokend92d4xxxxxxxxxxxxx15f52

范围

ZohoCRM.users.READ

示例请求

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/territories/431581000000744113/users"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

响应 JSON

  • 国家, 城市, 街道, 州, 国家地区, 邮政编码字符串

    表示用户的地址。

  • role JSON object

    表示用户角色的名称和ID。

  • locale string

    表示用户的区域设置。例如,'en_IN'。

  • Modified_ByJSON object

    表示最后修改用户详细信息的用户的姓名和ID。

  • Currency string

    表示用户的货币偏好。

  • alias string

    表示用户的别名。

  • id string

    表示用户的唯一ID。

  • 传真, 电子邮件, 手机, 电话字符串

    表示用户的联系方式。

  • first_name string

    表示用户的名字。

  • Reporting_ToJSON object

    表示用户汇报对象的姓名和ID。

  • created_time string

    表示用户创建的日期和时间。

  • website string

    表示用户的网站详情。

  • Modified_Time string

    表示用户详细信息最后修改的日期和时间。

  • profileJSON object

    表示用户的个人资料名称和ID。

  • last_name string

    表示用户的姓氏。

  • time_zone string

    表示当前用户的时区。

  • created_byJSON object

    表示创建用户的用户的姓名和ID。

  • zuid string

    表示当前用户的ZUID。

  • confirm boolean

    表示用户是否为已确认用户。
    true: 用户是已确认用户。
    false: 用户不是已确认用户。

  • full_name string

    表示用户的全名,格式由 "name_format" 键指定。

  • dob string

    表示用户的出生日期。

  • date_format string

    表示日期格式。例如,'MM/dd/yyyy'。

  • time_format string

    表示时间格式。例如,'hh:mm a'。

  • status string

    表示用户的状态。
    active: 用户是活跃的。
    inactive: 用户是不活跃的。

  • signature string

    代表用户的签名。

  • Name_format__s string

    表示用户全名的格式。例如,'称谓,First Name,姓 Name'。

  • sort_order_preference__s string

    表示响应中的记录是如何根据姓氏或名字进行排序的。默认排序是按记录ID进行的。

  • language string

    表示用户访问CRM时使用的语言。例如,'en_US'。

  • microsoft boolean

    表示用户是否是微软用户。
    可能的值:
    true: 用户是微软用户。
    false: 用户不是微软用户。

  • personal_account boolean

    表示用户是否是组织中唯一的用户。
    可能的值:
    true: 用户是组织中唯一的用户。
    false: 用户不是组织中唯一的用户。

  • Isonline boolean

    表示用户是否在线。
    可能的值:
    true: 用户在线。
    false: 用户离线。

  • theme integer

    表示用户选择的主题的详细信息。

  • Number_Separator string

    表示数字字段的格式。可能的值:“逗号”、“句号”和“空格”。

  • Decimal_Separator string

    表示小数字段的格式。可能的值:“comma”和“period”。

可能的错误

  • INVALID_REQUEST_METHODHTTP 400

    HTTP请求方法类型无效
    解决方法:您指定了一个无效的HTTP方法来访问API URL。请指定一个有效的请求方法。请参阅上面的端点部分。

  • AUTHORIZATION_FAILEDHTTP 400

    用户没有足够的权限访问记录
    解决方法:用户没有权限访问记录。请联系您的系统管理员。

  • OAUTH_SCOPE_MISMATCHHTTP 401

    您用于进行此API调用的访问令牌没有所需的范围。
    解决方法:生成一个具有此API所需范围的新访问令牌。请参阅本页开头的范围部分以获取所需范围的列表。

示例响应

Copied{
    "users": [
        {
            "country": "IN",
            "name_format__s": "Salutation,First Name,Last Name",
            "language": "en_US",
            "microsoft": false,
            "$shift_effective_from": null,
            "id": "431581000000258001",
            "state": "Karnataka",
            "fax": null,
            "country_locale": "en_US",
            "sandboxDeveloper": false,
            "zip": null,
            "decimal_separator": "Period",
            "created_time": "2023-02-01T10:09:10+05:30",
            "time_format": "hh:mm a",
            "offset": 19800000,
            "profile": {
                "name": "Administrator",
                "id": "431581000000031157"
            },
            "created_by": {
                "name": "Patricia Boyle",
                "id": "431581000000258001"
            },
            "zuid": "60019394663",
            "full_name": "Patricia Boyle",
            "phone": null,
            "dob": null,
            "sort_order_preference__s": "First Name,Last Name",
            "status": "active",
            "role": {
                "name": "CEO",
                "id": "431581000000031151"
            },
            "customize_info": {
                "notes_desc": null,
                "show_right_panel": null,
                "bc_view": null,
                "show_home": false,
                "show_detail_view": true,
                "unpin_recent_item": null
            },
            "city": null,
            "signature": null,
            "locale": "en_US",
            "personal_account": false,
            "Isonline": true,
            "default_tab_group": "0",
            "Modified_By": {
                "name": "Patricia Boyle",
                "id": "431581000000258001"
            },
            "street": null,
            "$current_shift": null,
            "alias": null,
            "theme": {
                "normal_tab": {
                    "font_color": "#FFFFFF",
                    "background": "#222222"
                },
                "selected_tab": {
                    "font_color": "#FFFFFF",
                    "background": "#222222"
                },
                "new_background": null,
                "background": "#F3F0EB",
                "screen": "fixed",
                "type": "default"
            },
            "first_name": "Patricia Boyle",
            "email": "patricia@zohotest.com",
            "status_reason__s": null,
            "Modified_Time": "2023-05-24T17:37:14+05:30",
            "website": null,
            "$next_shift": null,
            "mobile": null,
            "last_name": null,
            "time_zone": "Asia/Kolkata",
            "number_separator": "Comma",
            "confirm": true,
            "date_format": "dd/MM/yyyy",
            "category": "regular_user"
        },
        {
            "country": null,
            "role": {
                "name": "Manager",
                "id": "431581000000031154"
            },
            "city": null,
            "language": "en_US",
            "locale": "en_US",
            "microsoft": false,
            "Isonline": false,
            "Modified_By": {
                "name": "Patricia Boyle",
                "id": "431581000000258001"
            },
            "$shift_effective_from": null,
            "street": null,
            "$current_shift": null,
            "alias": null,
            "id": "431581000000278001",
            "state": null,
            "fax": null,
            "country_locale": "en_US",
            "sandboxDeveloper": false,
            "first_name": "J Smith",
            "email": "jsmith@zohotest.com",
            "zip": null,
            "status_reason__s": null,
            "decimal_separator": "Period",
            "created_time": "2023-02-03T10:05:00+05:30",
            "Modified_Time": "2023-05-24T17:37:26+05:30",
            "website": null,
            "time_format": "hh:mm a",
            "$next_shift": null,
            "offset": 19800000,
            "profile": {
                "name": "Standard",
                "id": "431581000000031160"
            },
            "mobile": null,
            "last_name": null,
            "time_zone": "Asia/Kolkata",
            "number_separator": "Comma",
            "created_by": {
                "name": "Patricia Boyle",
                "id": "431581000000258001"
            },
            "zuid": "60019445391",
            "confirm": true,
            "full_name": "J Smith",
            "phone": null,
            "dob": null,
            "sort_order_preference__s": "null",
            "date_format": "MMM d, yyyy",
            "category": "regular_user",
            "status": "active"
        }
    ],
    "info": {
        "per_page": 200,
        "count": 2,
        "page": 1,
        "more_records": false
    }
}